Debian Bug report logs - #687786
[opticalraytracer] Should depends on some package providing jre

version graph

Package: opticalraytracer; Maintainer for opticalraytracer is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for opticalraytracer is src:opticalraytracer.

Reported by: Manolo Díaz <diaz.manolo@gmail.com>

Date: Sat, 15 Sep 2012 19:45:02 UTC

Severity: serious

Tags: patch

Found in version opticalraytracer/3.2-1

Fixed in version opticalraytracer/3.2-1.1

Done: Pablo Duboue <pablo.duboue@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#687786; Package opticalraytracer. (Sat, 15 Sep 2012 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manolo Díaz <diaz.manolo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 15 Sep 2012 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manolo Díaz <diaz.manolo@gmail.com>
To: submit@bugs.debian.org
Subject: [opticalraytracer] Should depends on some package providing jre
Date: Sat, 15 Sep 2012 21:40:25 +0200
Package: opticalraytracer
Version: 3.2-1
Severity: serious

--- Please enter the report below this line. ---

Hi,

Opticalraytracer package should ensure that there is a java runtime
package installed in the system before installing itself. Otherwise
it won't work without any package system complain.

Best Regards,

Manolo

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.5.4

Debian Release: wheezy/sid
 1001 testing         ftp.es.debian.org 

--- Package information. ---
Depends            (Version) | Installed
============================-+-===========
java-wrappers                | 0.1.25


Package's Recommends field is empty.

Package's Suggests field is empty.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#687786; Package opticalraytracer. (Sat, 29 Sep 2012 22:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sat, 29 Sep 2012 22:18:15 GMT) Full text and rfc822 format available.

Message #10 received at 687786@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: 687786@bugs.debian.org
Subject: Re: Bug#687786: [opticalraytracer] Should depends on some package providing jre
Date: Sun, 30 Sep 2012 00:14:47 +0200
[Message part 1 (text/plain, inline)]
tags 687786 patch
thanks

Attached patch adds default-jre to runtime dependencies.
Thanks for considering.
[patch (text/plain, attachment)]

Added tag(s) patch. Request was from Gabriele Giacone <1o5g4r8o@gmail.com> to control@bugs.debian.org. (Sat, 29 Sep 2012 22:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#687786; Package opticalraytracer. (Sun, 30 Sep 2012 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 30 Sep 2012 02:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 687786@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: debian-science-maintainers@lists.alioth.debian.org
Cc: 687786@bugs.debian.org, pablo.duboue@gmail.com
Subject: diff for NMU version 3.2-1.1
Date: Sat, 29 Sep 2012 22:24:14 -0400
[Message part 1 (text/plain, inline)]
tags 687786 + pending
thanks

Dear maintainer,

I've uploaded an NMU for opticalraytracer on behalf of Pablo Duboue to
the DELAYED/7 queue. This was part of a Bug Squashing Party in Montreal
to fix release critical bugs in Wheezy.

Let me know if the upload needs to be canceled or is inappropriate.

Here's the patch for that upload. I wasn't able to push to the git
repository unfortunately.

A.

[fix_687786.patch (text/x-diff, inline)]
From e5511063bf9230881ed1b4b8807d78d33103effb Mon Sep 17 00:00:00 2001
From: Pablo Duboue <pablo.duboue@gmail.com>
Date: Sat, 29 Sep 2012 18:33:55 -0400
Subject: [PATCH] * Added dependency on default-jre (Closes: #687786) *
 Upgraded Standards-Version to 3.9.3.

---
 debian/changelog |    8 ++++++++
 debian/control   |    4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index a3e801f..5f91b11 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+opticalraytracer (3.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Added dependency on default-jre (Closes: #687786)
+  * Upgraded Standards-Version to 3.9.3.  
+
+ -- Pablo Duboue <pablo.duboue@gmail.com>  Sat, 29 Sep 2012 18:30:58 -0400
+
 opticalraytracer (3.2-1) unstable; urgency=low
 
   * Update to upstream version 3.2
diff --git a/debian/control b/debian/control
index 9d4521e..295aab5 100644
--- a/debian/control
+++ b/debian/control
@@ -7,12 +7,12 @@ DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/debian-science/packages/opticalraytracer.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/opticalraytracer.git
 Build-Depends: quilt, cdbs, debhelper (>= 7), ant (>=1.7.1), junit, javahelper, default-jdk
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.arachnoid.com/OpticalRayTracer/
 
 Package: opticalraytracer
 Architecture: all
-Depends: ${misc:Depends}, ${java:Depends}, java-wrappers
+Depends: ${misc:Depends}, ${java:Depends}, default-jre, java-wrappers
 Description: Virtual lens design workshop 
  OpticalRayTracer is an application that analyzes systems of
  lenses. It uses optical principles and a virtual optical bench
-- 
1.7.10.4

[Message part 3 (text/plain, inline)]

-- 
Les plus beaux chants sont les chants de revendications
Le vers doit faire l'amour dans la tête des populations.
À l'école de la poésie, on n'apprend pas: on se bat!
                        - Léo Ferré, "Préface"
[Message part 4 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 02:27:04 GMT) Full text and rfc822 format available.

Reply sent to Pablo Duboue <pablo.duboue@gmail.com>:
You have taken responsibility. (Sun, 07 Oct 2012 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to Manolo Díaz <diaz.manolo@gmail.com>:
Bug acknowledged by developer. (Sun, 07 Oct 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 687786-close@bugs.debian.org (full text, mbox):

From: Pablo Duboue <pablo.duboue@gmail.com>
To: 687786-close@bugs.debian.org
Subject: Bug#687786: fixed in opticalraytracer 3.2-1.1
Date: Sun, 07 Oct 2012 02:47:38 +0000
Source: opticalraytracer
Source-Version: 3.2-1.1

We believe that the bug you reported is fixed in the latest version of
opticalraytracer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pablo Duboue <pablo.duboue@gmail.com> (supplier of updated opticalraytracer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 29 Sep 2012 18:30:58 -0400
Source: opticalraytracer
Binary: opticalraytracer
Architecture: source all
Version: 3.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Pablo Duboue <pablo.duboue@gmail.com>
Description: 
 opticalraytracer - Virtual lens design workshop
Closes: 687786
Changes: 
 opticalraytracer (3.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Added dependency on default-jre (Closes: #687786)
   * Upgraded Standards-Version to 3.9.3.
Checksums-Sha1: 
 4ffd48ef658d7759c1e7a7f7b787285f8b085473 2110 opticalraytracer_3.2-1.1.dsc
 2cbea1aca31b4553ca616424e9a91f2e3ba60200 4784 opticalraytracer_3.2-1.1.debian.tar.gz
 24d1004724d10e1e58e719f51ac7576b44065cfb 177692 opticalraytracer_3.2-1.1_all.deb
Checksums-Sha256: 
 ef158286f212139a597fabeccdfe9ff99b22c168e207175500494368801944f5 2110 opticalraytracer_3.2-1.1.dsc
 8399110b73141ac785d7612ec8eb8496ad35dc8d19aef4cb31edaf3306811483 4784 opticalraytracer_3.2-1.1.debian.tar.gz
 f2db1a5488fac2edac714024faf617ebcc8878d1360c7be65e9950c214cf3301 177692 opticalraytracer_3.2-1.1_all.deb
Files: 
 b06f328a418c45d803ad965f4af9f1d5 2110 science optional opticalraytracer_3.2-1.1.dsc
 606f50f236bd546ad33fc29d08ca7b59 4784 science optional opticalraytracer_3.2-1.1.debian.tar.gz
 2bfb9b1dfb605b0418c7f4729abf3735 177692 science optional opticalraytracer_3.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQZ6ugAAoJEHkhUlJ7dZIepiIP/0dppBuEJ1wfyfEgYsI6nB/3
XBiLaPLoNq0nVQmA3K+z8fDxWqo3irKGAg3x52NnGkepUEHNsBf2JcHKyFQM8E2S
EZsHXpSlivJ2AEugD+MMfl+0Oc6WFEJHCl39XkAozz6ZD1Az4oiP9BFjO7JrA0bE
c/WeK0twWwMfsntRCBgBF36ioK0vCxjv/2f5GLyYM+9s7QbUast5gX8eo5NddNGN
9hTtNvO321/P8Kl4jW3KMfudPFAEKpk9IhH9o0pS9BfAWA+CTk3HZ7SxKaHO8zX9
F36MNoBJzNW8hR7+gYrid4bbsP1c8w2o6SkMfSmt3+G/WhX+tEmCzZl4T1WdzKCO
udqrf5GfrdopMP6gTICRjF1qLPNTGCCKBOSvdzqkf7xSZr6AcOIi/TQ4ZDE2GMUa
7LeWN1xlddWlOk9y/N+SRBFxGex9ACxH44A7Gd3Gu2oDXVfOP4/mYUCS1r1ChPZO
iGDCaRjKL+85D+6RFPWj0SiMncYg84VABViP1zqGfg97iM012IlCqEvXhlvFFZbC
GZIQFn0ktvHe6Wo+BSzxgioOLXxCD/Larcxg+OvzgnyE1j3e5a3ZvZJOXiIM1K0w
yjYpfaSAUIXTgxliG8WbGnSmiYOboMRN0jqzUx5APcxlUBbYwl7xZWikSw323Q0W
1Wz5n9twlFT0Ahy0+9vz
=m1Iv
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#687786; Package opticalraytracer. (Mon, 15 Oct 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <Tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 15 Oct 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 687786@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: 687786@bugs.debian.org
Cc: Antoine Beaupré <anarcat@debian.org>, pablo.duboue@gmail.com
Subject: Re: Bug#687786: diff for NMU version 3.2-1.1
Date: Mon, 15 Oct 2012 20:49:22 +0300
Hi,

Pushed to Git repo.

Regards,
Boris


2012-09-30, 05:27, Antoine Beaupré wrote:
> tags 687786 + pending
> thanks
>
> Dear maintainer,
>
> I've uploaded an NMU for opticalraytracer on behalf of Pablo Duboue to
> the DELAYED/7 queue. This was part of a Bug Squashing Party in Montreal
> to fix release critical bugs in Wheezy.
>
> Let me know if the upload needs to be canceled or is inappropriate.
>
> Here's the patch for that upload. I wasn't able to push to the git
> repository unfortunately.
>
> A.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Nov 2012 07:27:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:33:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.